API Reference
Create a job template
POST
/api/job-templates
Create a job template
Operation IDcreateJobTemplate
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Request body
This request body is required.
Content typeapplication/json
requestobject3 properties
namestringrequireddescriptionstringyaml_contentstringrequiredJob template definition in YAML format (DAG of tasks + connectors)
Success response body
201Template created with DAG
Template created with DAG
Content typeapplication/json
responseobject9 properties
idintegernamestringdescriptionstring | nullyaml_contentstringstatusstringcreated_atstring · date-timeupdated_atstring · date-timedagobject | null2 properties
tasksobjectAdditional properties are allowed.
levelsarray<array<string>>Array items
itemarray<string>Array items
itemstringconnectorsobject | nullAdditional properties
valueobject1 property
typestringError responses
400Validation error
Validation error
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "VALIDATION_ERROR",
"message": "Invalid input"
}